#ifndef _NZG_IFACE
#define _NZG_IFACE 1

#include "nzg_global.h"
typedef char msgSpaceId[MSGSPACE_ID_LEN];

typedef char msgSpaceListId[4*MSGSPACE_ID_LEN];
typedef char msgSpaceListElemId[4*MSGSPACE_ID_LEN];

typedef char msgSpacePoolDataId[4*MSGSPACE_ID_LEN];
typedef char msgSpacePoolId[4*MSGSPACE_ID_LEN];
typedef char msgSpaceQueueDataId[4*MSGSPACE_ID_LEN];
typedef char msgSpaceQueueId[4*MSGSPACE_ID_LEN];

  /* pid[] */
  /* liste des processus demandeurs */ 
typedef struct MsgPool {
  int bufferSize;
  int bufferNb;
} msgPool;

typedef struct MsgPoolData {
  msgSpacePoolId id;
  int bufferNb;
  int bufferSize;
  int allocDispBuffer;
  int allocOverload;
} msgPoolData;

/* TODO: queueId */

typedef struct MsgSpace {
  msgSpaceId id;
  int poolNb;
  int queueNb;
  int pid; 
  msgSpacePoolDataId poolDataId;
} msgSpace;


/* struct msgSpaceListElem * next; */

typedef struct MsgSpaceListElem {
  void * id;
  int ownerPid;
  msgSpaceListElemId next;
} * msgSpaceList, msgSpaceListElem;


#endif
/* */
